#include "mex.h"
#include <stdio.h>
#include <stdlib.h>
/* ----------------------------------------------------------------------
   clean-up function to free memory allocated by lib and returned to caller.
   lammps_free(lmp_pointer);
------------------------------------------------------------------------- */
void mexFunction( int nlhs, mxArray *plhs[1],
int nrhs,  const mxArray *prhs[])
{
    double *lmp;
    long lmp1;
    if (nlhs != 0 || nrhs != 1)
    {
        mxErrMsgTxt("Invalid Syntax: Should be lammps_free(lmp_pointer)");
    }
    lmp = mxGetPr(prhs[0]);
    lmp1 = (long)*lmp;
    lammps_free((void *)lmp1);
}