#include "mex.h"
#include <stdio.h>
#include <stdlib.h>
/* ----------------------------------------------------------------------
   return the total number of atoms in the system
   natoms=lammps_get_natoms(lmp_pointer);
------------------------------------------------------------------------- */

/*function prototype necessary to avoid truncation to 32 bits*/
int lammps_get_natoms(void * lmp1);

void mexFunction( int nlhs, mxArray *plhs[],
int nrhs,  const mxArray *prhs[])
{
    double *lmp;
    long lmp1;
    int data;
    double *x;
    if (nlhs != 1 || nrhs != 1)
    {
        mxErrMsgTxt("Invalid synatx: Should be like so:\n natoms=lammps_get_natoms(lmp_pointer).");
    }
    lmp = mxGetPr(prhs[0]);
    lmp1 = (long)*lmp;
    data = lammps_get_natoms((void *)lmp1);
    plhs[0] = mxCreateDoubleMatrix(1,1,mxREAL);
    x = mxGetPr(plhs[0]);
    x[0] = (double)data;
}