#include "mex.h"
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
/* ----------------------------------------------------------------------
   destruct an instance of LAMMPS. 
   lammps_close(lmp_pointer);
------------------------------------------------------------------------- */
void mexFunction( int nlhs, mxArray *plhs[1],
int nrhs,  const mxArray *prhs[])
{
    double *lmp;
    long lmp1;
    if (nlhs != 0)
    {
        mxErrMsgTxt("lammps_close requires no output arguments");
    }
    if (nrhs != 1)
    {
        mxErrMsgTxt("lammps_close requires a single integer input argument");
    }
    lmp = mxGetPr(prhs[0]);
    lmp1 = (long)*lmp;
    lammps_close((void *)lmp1);
}