%function lammps_setup(libs,Ldirs,Idirs)
% libs='LAMMPS.lib ifconsol.lib libifcoremdd.lib libifportmd.lib libmmdd.lib libirc.lib svml_disp.lib'
libs = 'LAMMPS1.lib';
Ldirs='';
Idirs='';
files = {'lammps_open.c'
    'lammps_close.c'
    'lammps_file.c'
    'lammps_command.c'
    'lammps_extract_global.c'
    'lammps_extract_atom.c'
    'lammps_extract_compute.c'
    'lammps_extract_fix.c'
    'lammps_extract_variable.c'
    'lammps_natoms.c'
    'lammps_free.c'
    'lammps_gather_atoms.c'
    'lammps_scatter_atoms.c'};
for i=1:length(files)
    eval(['mex ' files{i} ' ' libs ' ' Ldirs ' ' Idirs ' LINKFLAGS="$LINKFLAGS /NODEFAULTLIB:"libmmdd.lib" /NODEFAULTLIB:"ifconsol.lib" /NODEFAULTLIB:"libifcoremdd.lib"  /NODEFAULTLIB:"libifportmd.lib" /NODEFAULTLIB:"libirc.lib" /NODEFAULTLIB:"svml_disp.lib" "']);
    display(['compiled ' files{i} ]);
end

